package com.example.myapplication.ui.home;

import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.ViewModelProvider;
import androidx.navigation.NavController;
import androidx.navigation.fragment.NavHostFragment;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import com.example.myapplication.CustomAdapter;
import com.example.myapplication.MainActivity2;
import com.example.myapplication.R;
import com.example.myapplication.RecyclerItemClickListener;
import com.example.myapplication.databinding.FragmentHomeBinding;
import com.example.myapplication.ui.gallery.GalleryFragment;

import java.io.Console;
import java.util.Arrays;
import java.util.logging.Logger;

public class HomeFragment extends Fragment   {

    private FragmentHomeBinding binding;

    public View onCreateView(@NonNull LayoutInflater inflater,
                             ViewGroup container, Bundle savedInstanceState) {
        HomeViewModel homeViewModel =
                new ViewModelProvider(this).get(HomeViewModel.class);

        binding = FragmentHomeBinding.inflate(inflater, container, false);
        View root = binding.getRoot();


        String[] city_list = getResources().getStringArray(R.array.city_list);
        Arrays.sort(city_list);
        RecyclerView recyclerView = root.findViewById(R.id.suslik);
        recyclerView.addOnItemTouchListener(new RecyclerItemClickListener(root.getContext(), recyclerView ,new RecyclerItemClickListener.OnItemClickListener() {
            @Override public void onItemClick(View view, int position) {
                Log.e("HomeFragment", "onClick: " + city_list[position]);
                if (getActivity() instanceof MainActivity2) {
                    ((MainActivity2) getActivity()).setCurrentCity(city_list[position]);
                }
            }

            @Override
            public void onLongItemClick(View view, int position) {

            }
        }));
        recyclerView.setLayoutManager(new LinearLayoutManager(root.getContext()));
        CustomAdapter adapter = new CustomAdapter(city_list);
        recyclerView.setAdapter(adapter);
        return root;
    }

    @Override
    public void onDestroyView() {
        super.onDestroyView();
        binding = null;
    }

}